### Interface

# Goa PasswordBased

since: 3.6.0

#### Description [src]

    interface Goa.PasswordBased : GObject.Object

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.PasswordBased.

Available since: 3.6.0

#### Prerequisite

In order to implement PasswordBased, your type must inherit from`GObject`.

#### Implementations

- GoaPasswordBasedProxy
- GoaPasswordBasedSkeleton

#### Functions

###### goa_password_based_interface_info

Gets a machine-readable description of the org.gnome.OnlineAccounts.PasswordBased D-Bus interface.

since: 3.6.0

###### goa_password_based_override_properties

Overrides all `GObject` properties in the `GoaPasswordBased` interface for a concrete class. The properties are overridden in the order they are defined.

since: 3.6.0

#### Instance methods

###### goa_password_based_call_get_password

Asynchronously invokes the GetPassword() D-Bus method on `proxy`. When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see g_main_context_push_thread_default()). You can then call `goa_password_based_call_get_password_finish()` to get the result of the operation.

since: 3.6.0

###### goa_password_based_call_get_password_finish

Finishes an operation started with goa_password_based_call_get_password().

since: 3.6.0

###### goa_password_based_call_get_password_sync

Synchronously invokes the GetPassword() D-Bus method on `proxy`. The calling thread is blocked until a reply is received.

since: 3.6.0

###### goa_password_based_complete_get_password

Helper function used in service implementations to finish handling invocations of the GetPassword() D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

since: 3.6.0

#### Signals

###### Goa.PasswordBased::handle-get-password

Signal emitted when a remote caller is invoking the GetPassword() D-Bus method.

since: 3.6.0

#### Interface structure

    struct GoaPasswordBasedIface {
      GTypeInterface parent_iface;
      gboolean (* handle_get_password) (
        GoaPasswordBased* object,
        GDBusMethodInvocation* invocation,
        const gchar* arg_id
      );

    }

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.PasswordBased.

###### Interface members

`parent_iface`

    GTypeInterface

| The parent interface.

`handle_get_password`

    gboolean (* handle_get_password) (
        GoaPasswordBased* object,
        GDBusMethodInvocation* invocation,
        const gchar* arg_id
      )

| Handler for the `GoaPasswordBased::handle-get-password` signal.

#### Virtual methods

###### Goa.PasswordBased.handle_get_password

Handler for the `GoaPasswordBased::handle-get-password` signal.